##
## Copyright 2016-2020 Intel Corporation.
##
## This software and the related documents are Intel copyrighted  materials,  and
## your use of  them is  governed by the  express license  under which  they were
## provided to you (License).  Unless the License provides otherwise, you may not
## use, modify, copy, publish, distribute,  disclose or transmit this software or
## the related documents without Intel's prior written permission.
##
## This software and the related documents  are provided as  is,  with no express
## or implied  warranties,  other  than those  that are  expressly stated  in the
## License.
##

#
# Base make configuaration
#
include Makefile_base.mk

CC  ?= icc
CXX ?= icpc

#
# Define paths for build targets
#
MAKE_IPPCORE            := $(MAKE) -C ./tl/core
MAKE_IPPI               := $(MAKE) -C ./tl/ippi
MAKE_IPPCC		:= $(MAKE) -C ./tl/ippcc

all: 
	$(MAKE_IPPCORE)
	$(MAKE_IPPI)
	$(MAKE_IPPCC)

clean:
	$(MAKE_IPPCORE)         clean
	$(MAKE_IPPI)            clean
	$(MAKE_IPPCC)		clean
